%define upstream_name    Padre-Plugin-SpellCheck
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check spelling in Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.340.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Module::Util) >= 1.70.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod) >= 1.450.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Try::Tiny) >= 0.110.0
BuildArch:  noarch

%description
This plugins allows one to checking her text spelling within Padre using
'F7' (standard spelling shortcut accross text processors). One can change
the dictionary language used in the preferences window (menu Plugins /
SpellCheck / Preferences).

This plugin is using 'Text::Aspell' underneath, so check this module's pod
for more information.

Of course, you need to have the aspell binary and dictionnary installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#check
#make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.330.0-2.mga4
+ Revision: 537574
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.330.0-1.mga4
+ Revision: 487280
- update to 1.33

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 371451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.290.0-1.mga3
+ Revision: 267450
- update to 1.29

* Tue Mar 06 2012 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 219980
- update to 1.24

* Thu Feb 23 2012 jquelin <jquelin> 1.220.0-1.mga2
+ Revision: 213458
- update to 1.22

* Mon Jan 24 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 37647
- mageia rebuild
- imported package perl-Padre-Plugin-SpellCheck

